Get the items in the Elasticsearch resource keystore

Auth

Fetches the current fields and metadata (but not the values) of the keystore for the Elasticsearch resource.

Path parameters

deployment_id string required

Identifier for the Deployment

ref_id string required

User-specified RefId for the Resource (or '_main' if there is only one)

Responses

The contents of the Elasticsearch keystore, with values redacted

application/json
secrets map string to object required

List of secrets

<string> object
value object

Value of this setting. This can either be a string or a JSON object that is stored as a JSON string in the keystore. NOTE: When the keystore secret is unspecified, it is removed.

as_file boolean

Stores the keystore secret as a file. The default is false, which stores the keystore secret as string when value is a plain string, or true when value is an object.

is_allowlisted boolean

Read-only field, ignored on write. Only returned when calling the set-deployment-es-resource-keystore endpoint with validate_only=true. True if this setting/value pair is allowlisted (the allowlist is for informational purposes).

is_reloadable boolean

Read-only field, ignored on write. Only returned when calling the set-deployment-es-resource-keystore endpoint with validate_only=true. True if this setting is reloadable, or if false it requires a cluster restart.